CharScanner (Groovy 5.1.0)

Package: org.apache.groovy.json.internal

## [Java] Class CharScanner

- org.apache.groovy.json.internal.CharScanner

-     public class CharScanner
      extends Object

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected static int` | `ALPHA_0` |
    `protected static int` | `ALPHA_9` |
    `protected static int` | `CLOSED_BRACKET` |
    `protected static int` | `CLOSED_CURLY` |
    `protected static int` | `COMMA` |
    `protected static int` | `DECIMAL_POINT` |
    `protected static int` | `LETTER_BIG_E` |
    `protected static int` | `LETTER_E` |
    `protected static int` | `MINUS` |
    `protected static int` | `PLUS` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static String` | `debugCharDescription(int c)`
    `` | `public static String` | `errorDetails(String message, char[] array, int index, int ch)`
    `` | `public static boolean` | `hasDecimalChar(char[] chars, boolean negative)`
    `` | `public static boolean` | `isDecimalChar(int currentChar)`
    `` | `public static boolean` | `isDecimalDigit(int c)`
    `` | `protected static boolean` | `isDelimiter(int c)`
    `` | `public static boolean` | `isDigit(int c)`
    `` | `public static boolean` | `isInteger(char[] digitChars)`
    `` | `public static boolean` | `isInteger(char[] digitChars, int offset, int len)`
    `` | `public static boolean` | `isLong(char[] digitChars)`
    `` | `public static boolean` | `isLong(char[] digitChars, int offset, int len)`
    `` | `public static boolean` | `isNumberDigit(int c)`
    `` | `public static BigDecimal` | `parseBigDecimal(char[] buffer)`
    `` | `public static double` | `parseDouble(char[] buffer, int from, int to)`
    `` | `public static float` | `parseFloat(char[] buffer, int from, int to)`
    `` | `public static int` | `parseInt(char[] digitChars)`
    `` | `public static int` | `parseIntFromTo(char[] digitChars, int offset, int to)`
    `` | `public static int` | `parseIntFromToIgnoreDot(char[] digitChars, int offset, int to)`
    `` | `public static Number` | `parseJsonNumber(char[] buffer)`
    `` | `public static Number` | `parseJsonNumber(char[] buffer, int from, int to)`
    `` | `public static Number` | `parseJsonNumber(char[] buffer, int from, int max, int[] size)`
    `` | `public static long` | `parseLong(char[] digitChars)`
    `` | `public static long` | `parseLongFromTo(char[] digitChars, int offset, int to)`
    `` | `public static long` | `parseLongFromToIgnoreDot(char[] digitChars, int offset, int to)`
    `` | `public static char[]` | `readNumber(char[] array, int idx, int len)`
    `` | `public static int` | `skipWhiteSpace(char[] array, int index, int length)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### protected static final int ALPHA_0

    - #### protected static final int ALPHA_9

    - #### protected static final int CLOSED_BRACKET

    - #### protected static final int CLOSED_CURLY

    - #### protected static final int COMMA

    - #### protected static final int DECIMAL_POINT

    - #### protected static final int LETTER_BIG_E

    - #### protected static final int LETTER_E

    - #### protected static final int MINUS

    - #### protected static final int PLUS

  - ### Method Detail

    - #### public static String debugCharDescription(int c)

    - #### public static String errorDetails(String message, char[] array, int index, int ch)

    - #### public static boolean hasDecimalChar(char[] chars, boolean negative)

    - #### public static boolean isDecimalChar(int currentChar)

    - #### public static boolean isDecimalDigit(int c)

    - #### protected static boolean isDelimiter(int c)

    - #### public static boolean isDigit(int c)

    - #### public static boolean isInteger(char[] digitChars)

    - #### public static boolean isInteger(char[] digitChars, int offset, int len)

    - #### public static boolean isLong(char[] digitChars)

    - #### public static boolean isLong(char[] digitChars, int offset, int len)

    - #### public static boolean isNumberDigit(int c)

    - #### public static BigDecimal parseBigDecimal(char[] buffer)

    - #### public static double parseDouble(char[] buffer, int from, int to)

    - #### public static float parseFloat(char[] buffer, int from, int to)

    - #### public static int parseInt(char[] digitChars)

    - #### public static int parseIntFromTo(char[] digitChars, int offset, int to)

    - #### public static int parseIntFromToIgnoreDot(char[] digitChars, int offset, int to)

    - #### public static Number parseJsonNumber(char[] buffer)

    - #### public static Number parseJsonNumber(char[] buffer, int from, int to)

    - #### public static Number parseJsonNumber(char[] buffer, int from, int max, int[] size)

    - #### public static long parseLong(char[] digitChars)

    - #### public static long parseLongFromTo(char[] digitChars, int offset, int to)

    - #### public static long parseLongFromToIgnoreDot(char[] digitChars, int offset, int to)

    - #### public static char[] readNumber(char[] array, int idx, int len)

    - #### public static int skipWhiteSpace(char[] array, int index, int length)